## org.apache.myfaces.config
Class FacesConfigurator

    java.lang.Object
      org.apache.myfaces.config.FacesConfigurator

public class FacesConfigurator
extends java.lang.Object

Configures everything for a given context. The FacesConfigurator is independent of the concrete implementations that lie behind FacesConfigUnmarshaller and FacesConfigDispenser.

Version:
  $Revision: 265603 $ $Date: 2005-08-31 19:15:26 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Constructor Summary
`FacesConfigurator(javax.faces.context.ExternalContext externalContext)`

Method Summary
`void` `configure()`
`protected void` `feedMetaInfServicesFactories()` This method performs part of the factory search outlined in section 10.2.6.1.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesConfigurator

    public FacesConfigurator(javax.faces.context.ExternalContext externalContext)

Method Detail

### configure

    public void configure()
                   throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### feedMetaInfServicesFactories

    protected void feedMetaInfServicesFactories()

  This method performs part of the factory search outlined in section 10.2.6.1.